{"swagger":"2.0","info":{"version":"3","title":"ServiceChannel API - v.3","description":"The ServiceChannel API is a RESTful and stateless API. It accepts standard HTTP verbs and supports OAuth 2.0 for authorizing requests.\r\n    Our API returns common HTTP status codes as well as JSON encapsulated data.\r\n    See [API Overview](/basics/introduction/overview/) for the intro to ServiceChannel API.<br>\r\n    <h3>Authentication and Authorization</h3>You should have a ServiceChannel account, register your application, and obtain `access_token` to integrate with our API.\r\n    See [Authentication and Authorization](/basics/general/authentication/) for more information.\r\n    To use this API playground, click **Authorize** and sign in to ServiceChannel.<br>\r\n    <h3>Environment</h3> All calls in this API Reference point to the **SB2 environment**.\r\n    See [Environments](/basics/general/environments/) for more information.<br>\r\n    <h3>API Version</h3>The current stable version of the ServiceChannel API is `v3`. In the request URL, `v3` is a version prefix that should be present.\r\n    When you omit the version prefix, calls point to the minimum supported version of the API.\r\n    We recommend you to always specify the API version to avoid possible errors."},"host":"sb2api.servicechannel.com/v3","schemes":["https"],"paths":{"/locations/{locationId}/businesshours":{"get":{"tags":["AfterHours"],"summary":"Retrieve Business Hours","description":"Returns opening and closing hours from Monday to Sunday for the specified location.","operationId":"GETv3_locations_{locationId}_businesshours","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"Unique identifier of the subscriber’s location you want to retrieve business hours for.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Business hours are in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AfterHours.BusinessHoursApiResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            601 — Location is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"},"post":{"tags":["AfterHours"],"summary":"Update business hours","description":"Modifies the existing business hours for the specified location.\r\n            <br />Send this request [GET /locations/{locationId}/businesshours](/swagger/ui/index?version=3#/AfterHours/GETv3_locations__locationId__businesshours) to get the location business hours.\r\n            <br />Learn [how to manage business hours](https://servicechannel.atlassian.net/wiki/spaces/SCU/pages/683409418/Managing+Business+Hours+and+Holidays+for+a+Location) in ServiceChannel University.\r\n            <br />**Example Request**\r\n            \r\n                POST / locations/{locationId}/businesshours\r\n                {\r\n                  \"businessHours\": [\r\n                    {\r\n                      \"DayOfWeek\": \"Monday\",\r\n                      \"OpenTime\": \"10:15 AM\",\r\n                      \"CloseTime\": \"06:00 PM\",\r\n                      \"ClosedAllDay\": false\r\n                    }\r\n                }","operationId":"POSTv3_locations_{locationId}_businesshours","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"Unique identifier of the subscriber’s location you want to change business hours for.","required":true,"type":"integer","format":"int32"},{"name":"businessHoursModel","in":"body","description":"Request model to update business hours.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AfterHours.UpdateLocationBusinessHoursApiModelRequest"}}],"responses":{"200":{"description":"Business hours are updated for the specified location."},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            <br/> 613 — Incorrect format of the Open Time or Close Time. Valid format: HH:mm or hh:mm tt (for example, 23:59 or 11:59 PM).\r\n            <br/> 614 — Business Hours should not overlap between days of the week\r\n            <br/> 615 — Incorrect format of the day of the week. Valid values: Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday.\r\n            <br/> 616 — Duplicate 'Day of the Week' value;\r\n            <br/> 617 — Business Hours are not set for the location. For the initial setup, configure Business Hours for each day of the week.\r\n            <br/> 618 — Open Time or Close Time cannot be empty for a specific day of the week\r\n            <br/> 628 — Incorrect format of the `Close All Day` value. Valid values: true, false.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            <br/> 504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"404":{"description":"The requested resource does not exist on the server.\r\n            <br/>Error codes:\r\n            <br/> 601 — Location is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/locations/{locationId}/holidays":{"get":{"tags":["AfterHours"],"summary":"Retrieve location holidays","description":"Returns the details of each holiday for the specified location.","operationId":"GETv3_locations_{locationId}_holidays","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"Unique identifier of the subscriber’s location you want to retrieve holidays for.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Location holidays are in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AfterHours.HolidaysApiResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            <br/> 601 — Location is not found;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            <br/> 504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"},"post":{"tags":["AfterHours"],"summary":"Add a holiday","description":"Adds a holiday to the specified location. \r\n            <br />Send this request [GET /locations/{locationId}/holidays](/swagger/ui/index?version=3#/AfterHours/GETv3_locations__locationId__holidays) to get the location holidays.\r\n            <br />Learn [how to manage holidays for a location](https://servicechannel.atlassian.net/wiki/spaces/SCU/pages/683409418/Managing+Business+Hours+and+Holidays+for+a+Location) in ServiceChannel University.\r\n            <br />**Example Request**\r\n            \r\n                POST /locations/{locationId}/holidays\r\n                {\r\n                 \"HolidayName\": \"Happy Weekend\",\r\n                 \"OpenTime\": \"10:00 AM\",\r\n                 \"CloseTime\": \"06:00 PM\",\r\n                 \"ClosedAllDay\": false,\r\n                 \"Frequency\": \"Yearly\",\r\n                 \"StartDate\": \"2021-07-03T00:10:00.308Z\",\r\n                 \"RepeatEvery\": \"1\",\r\n                 \"RepeatBy\": \"DayOfWeek\",\r\n                 \"RepeatOnDays\": [\r\n                   \"Saturday\", \"Sunday\"\r\n                 ],\r\n                 \"RepeatOnMonths\": [\r\n                   “June”, \"July\", \"August\"\r\n                 ]\r\n                }","operationId":"POSTv3_locations_{locationId}_holidays","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"Unique identifier of the subscriber’s location you want to add or update holidays for.","required":true,"type":"integer","format":"int32"},{"name":"holidayModel","in":"body","description":"Request to add a holiday to the specified location.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AfterHours.AddHolidayApiModelRequest"}}],"responses":{"200":{"description":"The holiday is added to the specified location.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AfterHours.HolidayIdsApiResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            <br/> 616 — Duplicate 'Day of the Week' value\r\n            <br/> 619 — Incorrect format of the `Repeat by status` value. Valid values: DayOfWeek, DayOfMonth.\r\n            <br/> 620 — List of days cannot be empty when submitting the `Weekly` frequency\r\n            <br/> 621 — List of months cannot be empty when submitting the `Yearly` frequency\r\n            <br/> 622 — Incorrect month format. Valid values: January, February, March, April, May, June, July, August, September, October, November, December.\r\n            <br/> 623 — The `Holiday Name` value cannot be empty. The maximum length is 100 characters.\r\n            <br/> 624 — Incorrect format of the 'Repeat every' value. The value should be a number between 1 and 60.\r\n            <br/> 625 — The same month is specified twice in the 'Month' value\r\n            <br/> 626 — Incorrect format of the frequency. Valid values: Weekly, Monthly, Yearly, Singular.\r\n            <br/> 627 — Start date cannot be an empty value\r\n            <br/> 628 — Incorrect format of the `Close All Day` value. Valid values: true, false.\r\n            <br/> 3502 — The holiday name is already in use. Please suggest another name.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            <br/> 504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"404":{"description":"The requested resource does not exist on the server.\r\n            <br/>Error codes:\r\n            <br/> 601 — Location is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            <br/>501 — Object reference not set to an instance of an object;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"},"delete":{"tags":["AfterHours"],"summary":"Delete a holiday","description":"Permanently removes a holiday from the specified location.","operationId":"DELETEv3_locations_{locationId}_holidays?holidayName={holidayName}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"Unique identifier of the location to delete a holiday from.","required":true,"type":"integer","format":"int32"},{"name":"holidayName","in":"query","description":"The name of the holiday you want to remove.","required":true,"type":"string"}],"responses":{"200":{"description":"ID of the deleted holiday is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AfterHours.HolidayIdsApiResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            <br/> 601 — Location is not found\r\n            <br/> 623 — The `Holiday Name` value cannot be empty. The maximum length is 100 characters.\r\n            <br/> 629 — The holiday doesn't exist at the location","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            <br/> 504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"404":{"description":"The requested resource does not exist on the server.\r\n            <br/>Error codes:\r\n            <br/> 601 — Location is not found\r\n            <br/> 601 — Invalid Location Id","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/locations/{locationId}/InitConversation":{"get":{"tags":["AIAgents"],"summary":"Initializes a new conversation with the necessary setup by creating\r\n            and configuring the required resources for interaction.","operationId":"GETv3_aiagents_locations_{locationId}_InitConversation?setupId={setupId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"The unique identifier of the location.","required":true,"type":"integer","format":"int32"},{"name":"setupId","in":"query","description":"The identifier of the dashboard setup.","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AzureOpenAI.Assistant.ChatSessionModel"}},"400":{"description":"Access denied.\r\n            <br>Error codes:\r\n            1000 - The setupId does not belong to the Subscriber;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"403":{"description":"You are not authorized to request this resource, or the resource is unavailable for some reason.\r\n            <br/>Error codes: \r\n            100 — User has no rights to perform this action.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 - Unspecified internal server error occurred","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/SendMessage":{"post":{"tags":["AIAgents"],"summary":"Sends a message to the specified thread.\r\n            This method ensures that the message is delivered\r\n            according to the provided parameters, including thread and message data.","operationId":"POSTv3_aiagents_SendMessage?threadId={threadId}&message={message}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"threadId","in":"query","description":"The unique identifier of the conversation.","required":true,"type":"string"},{"name":"message","in":"query","description":"The content of the message to be sent.","required":true,"type":"string"}],"responses":{"200":{"description":"Indicates that the message has been sent."},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 - Unspecified internal server error occurred","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/SendImage":{"post":{"tags":["AIAgents"],"summary":"Sends an image to the specified thread.\r\n            This method ensures that the image content is delivered\r\n            according to the provided parameters, including thread and image data.","operationId":"POSTv3_aiagents_SendImage?threadId={threadId}&setupId={setupId}","consumes":["multipart/form-data"],"produces":["application/json","text/json"],"parameters":[{"name":"threadId","in":"query","description":"The unique identifier of the conversation.","required":true,"type":"string"},{"name":"setupId","in":"query","description":"The identifier of the dashboard setup.","required":false,"type":"integer","format":"int32"},{"name":"file","in":"formData","description":"Photo to attach the conversation","required":true,"type":"file"}],"responses":{"200":{"description":"Indicates that the image data has been sent."},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 - Unspecified internal server error occurred","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/locations/{locationId}/ProcessMessageStream":{"get":{"tags":["AIAgents"],"summary":"Retrieves a stream of messages for a specific thread.\r\n            This method establishes and manages a stream to receive continuous messages.","operationId":"GETv3_aiagents_locations_{locationId}_ProcessMessageStream?setupId={setupId}&threadId={threadId}&assistantId={assistantId}&enableMetrics={enableMetrics}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"The unique identifier of the location.","required":true,"type":"integer","format":"int32"},{"name":"setupId","in":"query","description":"The identifier of the dashboard setup.","required":true,"type":"integer","format":"int32"},{"name":"threadId","in":"query","description":"The unique identifier of the conversation.","required":true,"type":"string"},{"name":"assistantId","in":"query","description":"The unique identifier of the AI agent.","required":true,"type":"string"},{"name":"enableMetrics","in":"query","description":"Indicates whether metrics should be enabled. Defaults to false if not specified.","required":false,"type":"boolean","default":false}],"responses":{"200":{"description":"Message stream successfully received."},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/DeleteConversation":{"delete":{"tags":["AIAgents"],"summary":"Deletes a specific conversation from the system.\r\n            This method removes the conversation and all its associated data permanently.","operationId":"DELETEv3_aiagents_DeleteConversation?threadId={threadId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"threadId","in":"query","description":"The unique identifier of the thread to be deleted.","required":true,"type":"string"}],"responses":{"200":{"description":"Indicates that the conversation has been deleted."},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            <br/> 503 - Request is invalid","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/CreateConversation":{"post":{"tags":["AIAgents"],"summary":"Creates a new conversation instance","operationId":"POSTv3_aiagents_CreateConversation","consumes":[],"produces":["application/json","text/json"],"parameters":[],"responses":{"201":{"description":"Indicates that the conversation has been created.","schema":{"type":"string"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            <br/> 503 - Request is invalid","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/ProblemDescription":{"get":{"tags":["AIAgents"],"summary":"Retrieves the description of a specific problem based on the provided issue choice.","operationId":"GETv3_aiagents_ProblemDescription?threadId={threadId}&assistantId={assistantId}&enableMetrics={enableMetrics}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"threadId","in":"query","description":"The unique identifier of the conversation.","required":true,"type":"string"},{"name":"assistantId","in":"query","description":"The unique identifier of the AI agent.","required":true,"type":"string"},{"name":"enableMetrics","in":"query","description":"Indicates whether metrics should be enabled. Defaults to false if not specified.","required":false,"type":"boolean","default":false}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Api.Model.Dashboard.Assistant.AssistantResponse[System.String]"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc."},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"403":{"description":"You are not authorized to request this resource, or the resource is unavailable for some reason.\r\n            <br/>Error codes: \r\n            100 — User has no rights to perform this action.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 - Unspecified internal server error occurred","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/CreateFeedbackSession":{"post":{"tags":["AIAgents"],"summary":"Creates a new feedback session for a specific conversation and AI agent","operationId":"POSTv3_aiagents_CreateFeedbackSession","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"Model to create a new feedback session","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.WebApi.Models.Request.DashboardAiAgents.WoAiCreateFeedbackSessionRequest"}}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Api.Model.Dashboard.WorkOrdersAi.WoAiFeedbackSessionResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc."},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"403":{"description":"You are not authorized to request this resource, or the resource is unavailable for some reason.\r\n            <br/>Error codes: \r\n            100 — User has no rights to perform this action.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 - Unspecified internal server error occurred","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/aiagents/AddFeedback":{"post":{"tags":["AIAgents"],"summary":"Add a new feedback to exist session for a specific conversation and AI agent","operationId":"POSTv3_aiagents_AddFeedback","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"Model to create a new feedback","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.WebApi.Models.Request.DashboardAiAgents.WoAiAddFeedbackRequest"}}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Api.Model.Dashboard.WorkOrdersAi.WoAiFeedbackSessionResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc."},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"403":{"description":"You are not authorized to request this resource, or the resource is unavailable for some reason.\r\n            <br/>Error codes: \r\n            100 — User has no rights to perform this action.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 - Unspecified internal server error occurred","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/announcements":{"get":{"tags":["Announcements"],"operationId":"GETv3_announcements","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Announcements.GetUserAnnouncementsResponse"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            <br/> 503 - User info should not be null;\r\n            <br/>ProviderId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            <br/> 504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Providers"}},"/announcements/{messageId}":{"put":{"tags":["Announcements"],"operationId":"PUTv3_announcements_{messageId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"messageId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"default":false,"type":"boolean"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            <br/> 503 - User info should not be null;\r\n            <br/>ProviderId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            <br/> 504 - API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Providers"}},"/ApplicationAccess":{"get":{"tags":["ApplicationAccess"],"summary":"Returns application access object","operationId":"GETv3_ApplicationAccess","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/{assetId}":{"get":{"tags":["Assets"],"summary":"Get an asset","description":"Returns the details of the specified asset for the current subscriber.<br />\r\n            Send the [GET/ assets/locations/{locationId}](/swagger/ui/index?version=3#/Assets/GETv3_assets_locations__locationId__trade__trade_) request to retrieve assets for a particular location.","operationId":"GETv3_assets_{assetId}?locationId={locationId}&storeId={storeId}&tagId={tagId}&trackingNumber={trackingNumber}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"assetId","in":"path","description":"Unique numeric asset identifier you want to get information of.","required":true,"type":"integer","format":"int32"},{"name":"locationId","in":"query","description":"Unique numeric location identifier. Should be paired with the `tagId` parameter to work correctly.","required":false,"type":"integer","format":"int32"},{"name":"storeId","in":"query","description":"Alphanumeric location identifier in the client’s system. Should be paired with the `tagId` parameter to work correctly.","required":false,"type":"string"},{"name":"tagId","in":"query","description":"Alphanumeric asset identifier assigned by the client. Should be paired with either `locationId` or `storeId` to work correctly.","required":false,"type":"string"},{"name":"trackingNumber","in":"query","description":"Unique ID of the work order. Use the parameter to get asset validation attributes: `AssetValidated`, `ValidationRequired`.","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"The details of the requested asset are in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"404":{"description":"The request URI is incorrect, or the resource does not exist.\r\n            <br/>Error codes:\r\n            502 — Asset is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/AssociateAssetCode":{"post":{"tags":["Assets"],"summary":"Associate Asset Code","operationId":"POSTv3_assets_AssociateAssetCode","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Equipments.AssociateAssetRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/searchassets":{"post":{"tags":["Assets"],"summary":"Search Assets","operationId":"POSTv3_assets_searchassets","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Equipments.SearchAssetRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/assetsforreplacement":{"post":{"tags":["Assets"],"summary":"Get Assets For Replacement","operationId":"POSTv3_assets_assetsforreplacement","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.GetAssetsForReplacementRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/assetcomponents":{"post":{"tags":["Assets"],"summary":"Get circuits and components","description":"Retrieves all circuits and components added to the specified parent assets.\r\n            <br />Learn more about [updating assets on work orders](https://servicechannel.atlassian.net/wiki/spaces/SCU/pages/1484194012/Updating+Assets+on+Work+Orders) in ServiceChannel University.","operationId":"POSTv3_assets_assetcomponents","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"Request to get circuits and components for the specified parent assets.\r\n            <br />Request parameters:\r\n             • **ParentIds**. Add one or several asset IDs you want to get circuits and components for.\r\n             • **OnlyRefrigerantTrackingAssets**. Enter `true` to retrieve only circuits and components that contain refrigerant and F-gases.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Equipments.AssetComponentsRequest"}}],"responses":{"200":{"description":"The circuits and components for the specified parent assets are in the response."},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 — Object reference is not set to an instance of an object","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/getfilteredassets":{"post":{"tags":["Assets"],"summary":"Get Filtered Assets","operationId":"POSTv3_assets_getfilteredassets","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.GetFilteredAssetsRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/getfilteredassetsV1":{"post":{"tags":["Assets"],"summary":"Get Filtered Assets V1","operationId":"POSTv3_assets_getfilteredassetsV1?providerId={providerId}","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request to perform action with.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.GetFilteredAssetsRequest"}},{"name":"providerId","in":"query","description":"The provider identifier. Required for sub-contractor request. [Required Special permissions]","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/getfilteredassetleaks":{"post":{"tags":["Assets"],"summary":"Ge tFiltered Asset Leaks","operationId":"POSTv3_assets_getfilteredassetleaks","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.GetFilteredAssetsRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/getwoassettracking":{"post":{"tags":["Assets"],"summary":"Get Wo Asset Tracking","operationId":"POSTv3_assets_getwoassettracking?woId={woId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"woId","in":"query","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/System.Object"}}},"deprecated":false,"x-access":"Any"}},"/assets/WoAssetTags":{"get":{"tags":["Assets"],"summary":"Get Wo Asset Tags and Tag IDs","operationId":"GETv3_assets_WoAssetTags?recIds[0]={recIds[0]}&recIds[1]={recIds[1]}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"recIds","in":"query","description":"","required":true,"type":"array","items":{"type":"integer","format":"int32"},"collectionFormat":"multi"}],"responses":{"200":{"description":"Request succeeded and response contains list of WO asset tags and asset tag IDs","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.WOAssetTagResponse"}},"400":{"description":"Request did not succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/locations/{locationId}":{"get":{"tags":["Assets"],"summary":"Get assets","description":"Returns a list of assets with all details for the specified location. Enter the `trade` parameter to make your request more specific.\r\n             <br />\r\n             You can use the [GET/assets/{assetId}](/swagger/ui/index?version=3#/Assets/GETv3_assets__assetId__locationId__locationId__storeId__storeId__tagId__tagId__trackingNumber__trackingNumber_) method to get the details of a particular asset.","operationId":"GETv3_assets_locations_{locationId}?trade={trade}&tradeId={tradeId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"path","description":"Unique numeric identifier of the location you want to retrieve assets details of.","required":true,"type":"integer","format":"int32"},{"name":"trade","in":"query","description":"Trade of an asset type the asset is assigned to, for example, *CARPENTRY* or *PLUMBING*","required":false,"type":"string"},{"name":"tradeId","in":"query","description":"Trade id of an asset type the asset is assigned to.","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"The assets for the specified location are in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetsInfoResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"404":{"description":"The request URI is incorrect, or the resource does not exist.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/locationAssetsTree":{"post":{"tags":["Assets"],"operationId":"POSTv3_assets_locationAssetsTree?locationId={locationId}&trade={trade}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"locationId","in":"query","required":true,"type":"integer","format":"int32"},{"name":"trade","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetsResponseTreeNode"}}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/getassetwohistory":{"post":{"tags":["Assets"],"summary":"Get Assets WorkOrders","description":"This method allows to get WorkOrder objects by Asset Ids.<br />","operationId":"POSTv3_assets_getassetwohistory?workOrdersCount={workOrdersCount}","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"assetIds","in":"body","description":"","required":true,"schema":{"type":"array","items":{"format":"int32","type":"integer"}}},{"name":"workOrdersCount","in":"query","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Workorders.WorkOrder"}}}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets":{"put":{"tags":["Assets"],"summary":"Update an asset","description":"Modifies the details of an existing asset.","operationId":"PUTv3_assets","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"assetRequest","in":"body","description":"Request model to update an asset.\r\n            <br />The following parameters are required in the request:\r\n             • **Id**: Unique numeric identification number of an asset you want to update.\r\n             • **Tag**: Alphanumeric asset identifier assigned by the client, aka **Tag ID**.\r\n             • **Manufacturer**: Company brand that produces an asset and exists in the system.\r\n             • **StoreId**: Alphanumeric identifier of the existing location.\r\n             • **Trade**: The line of work an asset is used for. For example, *ELECTRICAL*, *CARPENTRY*, *CCTV*.\r\n             • **Type**: Type of an asset. For example, *Refrigerator*, *Computer Monitor*.\r\n            <br />***Note***. The `Tag` and `Location` parameters should remain unchanged.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UpdateAssetRequest"}}],"responses":{"200":{"description":"The ID of the updated asset is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            502 — No asset to update\r\n            502 — Asset is not found\r\n            503 — Unknown Brand name\r\n            503 — Request is empty or null\r\n            503 — Do not have rights for editing Asset\r\n            503 — Unknown Equipment type\r\n            503 — 'Uses Refrigerant' attribute can not be changed\r\n            503 — Asset location can not be changed: There are active PM services for this asset.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br>Error codes:\r\n            501 — Object reference is not set to an instance of an object.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"502":{"description":"The server, while acting as a gateway or proxy, received an invalid response from the upstream server.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"},"post":{"tags":["Assets"],"summary":"Add an asset","description":"Creates a new asset for the existing asset type. Since you need to specify which type an asset will belong to, you can:\r\n            <br /> • use the [GET /AssetTypes](/swagger/ui/index?version=3#/AssetTypes/GETv3_AssetTypes) method to get a list of asset types of the current provider.\r\n            <br /> • create a new asset type by sending the [POST /AssetTypes](/swagger/ui/index?version=3#/AssetTypes/POSTv3_AssetTypes) request.\r\n            <br />You can learn more about [adding and editing assets](https://servicechannel.atlassian.net/wiki/spaces/SCU/pages/573178120/Adding+and+Editing+Assets) in ServiceChannel University.","operationId":"POSTv3_assets","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"assetRequest","in":"body","description":"Request to create a new asset.\r\n            <br />Required parameters:\r\n            <br /> • **Tag** (aka **Tag ID**). Create an alphanumeric identifier for your asset, for example, AD-3421\r\n            <br /> • **Manufacturer**. Enter the brand name that exists in the system.\r\n            <br /> • **StoreId**. Specify the alphanumeric identifier of the existing location.\r\n            <br /> • **Trade**. Define the line of work an asset is used for, for example, *Electrical*, *Plumbing*, *Carpentry*.\r\n            <br /> • **Type**. Enter the type of an asset, for example, *Refrigerator*, *Computer Monitor*.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AddAssetRequest"}}],"responses":{"201":{"description":"The created asset ID is in the response."},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            503 — Unknown Brand name\r\n            503 — Asset Tag ID is empty\r\n            503 — Request is empty or null\r\n            503 — No Store ID in the request\r\n            503 — Trade not found \r\n            503 — Unknown Equipment type\r\n            503 — Unknown Store ID\r\n            503 — Other Trade in Asset Type","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/UpdateAssetTypeInAsset":{"put":{"tags":["Assets"],"operationId":"PUTv3_assets_UpdateAssetTypeInAsset","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.BulkUpdateAssetTypeInAssetRequest"}}],"responses":{"200":{"description":"The result of operation is in the response","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetTypeInAssetReponse[System.Collections.Generic.List[ServiceChannel.Services.Core.AssetTransferProcessingData]]"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            500 — Internal server error"},"401":{"description":"The request is not authorized.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br>Error codes:\r\n            501 — Object reference is not set to an instance of an object.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/AddUpdateAsset":{"post":{"tags":["Assets"],"summary":"Add Update Asset","operationId":"POSTv3_assets_AddUpdateAsset","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AddUpdateAssetRequest"}}],"responses":{"200":{"description":"The ID of the updated asset is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            502 — No asset to update\r\n            502 — Asset is not found\r\n            503 — Unknown Brand name\r\n            503 — Request is empty or null\r\n            503 — Do not have rights for editing Asset\r\n            503 — Unknown Equipment type\r\n            503 — 'Uses Refrigerant' attribute can not be changed\r\n            503 — Asset location can not be changed: There are active PM services for this asset.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br>Error codes:\r\n            501 — Object reference is not set to an instance of an object.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"502":{"description":"The server, while acting as a gateway or proxy, received an invalid response from the upstream server.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/assets/Activation":{"post":{"tags":["Assets"],"summary":"Activates or deactivates an asset depending on passed parameter.","operationId":"POSTv3_assets_Activation","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"A set of values to indicate asset and action.\r\n            IsActive \"true\" means that asset must be activated.\r\n            IsActive \"false\" means that asset must be inactivated.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Equipments.ActivateAssetRequest"}}],"responses":{"200":{"description":"Indicates that the request succeeded and that the requested information is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"403":{"description":"Forbidden - the data could not be processed by security reasons.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Subscribers"}},"/assets/workorders/{workorderId}/attach":{"put":{"tags":["Assets"],"summary":"Replace an asset","description":"Replaces one asset with another for the specified work order, or when the work order has no asset, attaches it.  \r\n            <br />Successful response returns `AssetId` and information about asset validation. \r\n            <br />***Note***: A work order and an asset should belong to the same trade and location.\r\n            <br />***Note***: This method cannot be used if a work order has more than one asset attached.","operationId":"PUTv3_assets_workorders_{workorderId}_attach","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"workorderId","in":"path","description":"Unique numeric identifier of the work order you want to assign an asset to. To retrieve IDs of work orders, use the [GET /workorders](/swagger/ui/index?version=3#/WorkOrders/GETv3_workorders_locationId__locationId__storeId__storeId_) method.","required":true,"type":"integer","format":"int32"},{"name":"attachAssetRequest","in":"body","description":"Request to assign the specified asset","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AttachAssetRequest"}}],"responses":{"200":{"description":"The ID of the asset attached to the work order is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AttachAssetResponse"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            502 — Asset is not found or Asset Location/Trade does not correspond to WO Location/Trade\r\n            502 — Work order is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"403":{"description":"You are not authorized to request this resource, or the resource is unavailable for some reason.\r\n            <br/>Error codes:\r\n            100 — Current Asset has already been assigned to the work order RecId: workorderId\r\n            100 — Work Order either has connection with a leak record or is a Leak Inspection.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"The server was unable to complete the request due to an internal error.\r\n            <br/>Error codes:\r\n            501 — Object reference is not set to an instance of an object","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/workorders/attachassets":{"put":{"tags":["Assets"],"summary":"Add assets","description":"Assigns several assets to the specified work order at a time. The *MultipleAssetsPerWorkOrder* FF should be enabled for the method to work properly.\r\n            <br />***Note***: Assets added before will remain attached to the work order along with the new ones.","operationId":"PUTv3_assets_workorders_attachassets","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"Request to add one or several assets to a particular work order.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UpdateAssetsInWORequest"}}],"responses":{"200":{"description":"The specified assets are attached to the work order.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            502 — Asset is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/workorders/setupassets":{"put":{"tags":["Assets"],"summary":"Add and replace assets","description":"Assigns several assets to the specified work order at a time. The *MultipleAssetsPerWorkOrder* FF should be enabled for the method to work properly.\r\n            <br />***Note***. Existing assets will be replaced with the new ones.","operationId":"PUTv3_assets_workorders_setupassets","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"Request to add one or several assets to a particular work order.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UpdateAssetsInWORequest"}}],"responses":{"200":{"description":"The specified assets are attached to the work order.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            502 — Asset is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/workrequest/setup":{"put":{"tags":["Assets"],"summary":"Setup assets to the work request","description":"*In limited availability phase.*\r\n            <br />Setup Assets to Work Request.","operationId":"PUTv3_assets_workrequest_setup","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The work request identity and assets ids.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetsWorkRequest"}}],"responses":{"200":{"description":"Indicates that the request succeeded and that the requested information is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            502 — Asset is not found;\r\n            Invalid Work Request Identifier;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/workrequest/remove":{"post":{"tags":["Assets"],"summary":"Remove specified assets from specified work request","description":"*In limited availability phase.*\r\n            <br />Remove Assets from Work Request.","operationId":"POSTv3_assets_workrequest_remove","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The work request identity and assets ids.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.RemoveAssetsWorkRequest"}}],"responses":{"200":{"description":"Indicates that the request succeeded and that the requested information is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null;\r\n            User info should not be null;            \r\n            Asset identity is absent;\r\n            Work Request identity is absent;\r\n            502 — No asset to update;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/workrequest/{workRequestId}":{"get":{"tags":["Assets"],"summary":"Setup assets to the specified work order","description":"*In limited availability phase.*\r\n            <br />Setup Assets to Work Order.","operationId":"GETv3_assets_workrequest_{workRequestId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Indicates that the request succeeded and that the requested information is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null;\r\n            User info should not be null;            \r\n            Asset identity is absent;\r\n            Work Request identity is absent;\r\n            502 — No asset to update;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/workorders/removeassets":{"post":{"tags":["Assets"],"summary":"Remove specified assets from specified work order","description":"Remove Assets from Work Order.","operationId":"POSTv3_assets_workorders_removeassets","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The work order identity and assets ids.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.RemoveAssetsFromWORequest"}}],"responses":{"200":{"description":"Indicates that the request succeeded and that the requested information is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null;\r\n            User info should not be null;\r\n            Asset identity is absent;\r\n            Work Order identity is absent;\r\n            502 — No asset to update;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/workorders/{workorderId}/detach":{"put":{"tags":["Assets"],"summary":"Remove assets","description":"Removes all assets assigned to the specified work order.","operationId":"PUTv3_assets_workorders_{workorderId}_detach","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"workorderId","in":"path","description":"Unique numeric identifier of the work order you want to remove assets from. To retrieve IDs of work orders, use the [GET /workorders](/swagger/ui/index?version=3#/WorkOrders/GETv3_workorders_locationId__locationId__storeId__storeId_) method.","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"The assets are successfully removed from the specified work order.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"The request is not accepted due to bad syntax, missing parameters, insufficient data, etc.\r\n            <br/>Error codes:\r\n            502 — Work order is not found","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/{assetid}/assetwohistory":{"get":{"tags":["Assets"],"summary":"Get asset workorder history","operationId":"GETv3_assets_{assetid}_assetwohistory","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"assetid","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Api.Model.Equipments.AssetWorkHistory"}}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/{assetid}/assetTransferProvider":{"get":{"tags":["Assets"],"summary":"Get Asset Transfer Provider Id","operationId":"GETv3_assets_{assetid}_assetTransferProvider","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"assetid","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"format":"int32","type":"integer"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/TransferSettings/{subscriberId}":{"get":{"tags":["Assets"],"summary":"Get Transfer Settings","operationId":"GETv3_assets_TransferSettings_{subscriberId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"subscriberId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.WebApi.Models.Response.AssetManager.AssetTransfer.AssetTransferSettings"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/Brands":{"get":{"tags":["Assets"],"summary":"Get Brands","operationId":"GETv3_assets_Brands","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.Manufacturer"}}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/v2/Brands":{"get":{"tags":["Assets"],"summary":"Get Brands (ver.2)","operationId":"GETv3_assets_v2_Brands?keyword={keyword}&startIndex={startIndex}&pageSize={pageSize}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"keyword","in":"query","description":"","required":false,"type":"string"},{"name":"startIndex","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"pageSize","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.ManufacturersResponce"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/v3/Brands":{"get":{"tags":["Assets"],"summary":"Get Brands (ver.3)","operationId":"GETv3_assets_v3_Brands?assetTypeId={assetTypeId}&keyword={keyword}&startIndex={startIndex}&pageSize={pageSize}&assetTypeBrandsOnly={assetTypeBrandsOnly}&subscriberId={subscriberId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"assetTypeId","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"keyword","in":"query","description":"","required":false,"type":"string"},{"name":"startIndex","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"pageSize","in":"query","description":"","required":false,"type":"integer","format":"int32"},{"name":"assetTypeBrandsOnly","in":"query","description":"","required":false,"type":"boolean","default":false},{"name":"subscriberId","in":"query","description":"","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.ManufacturersResponce"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/{brandName}/AddBrand":{"post":{"tags":["Assets"],"summary":"Add Brand","operationId":"POSTv3_assets_{brandName}_AddBrand","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"brandName","in":"path","description":"","required":true,"type":"string"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"format":"int32","type":"integer"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/assetrepairstatus":{"get":{"tags":["Assets"],"summary":"Get Asset Repair Status By AssetId","operationId":"GETv3_assets_assetrepairstatus?assetId={assetId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"assetId","in":"query","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"enum":["InUse","OutForRepair","ReplacementRecommended","Repaired","Down","Inactive"],"type":"string"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/assetstatushistory":{"get":{"tags":["Assets"],"summary":"Get Asset Status History By AssetId","operationId":"GETv3_assets_assetstatushistory?assetId={assetId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"assetId","in":"query","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetStatusHistoryResponse"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/updateassetrepairstatus":{"put":{"tags":["Assets"],"summary":"Update Asset Repair Status By AssetId","operationId":"PUTv3_assets_updateassetrepairstatus","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UpdateAssetRepairStatusRequest"}}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"default":false,"type":"boolean"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — User info should not be null;\r\n            SubscriberId is null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Unauthorized indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/RecordScannedAsset":{"post":{"tags":["Assets"],"summary":"Records the result of scanning an asset tag","description":"Records the outcome of scanning (or attempting to scan) an asset tag. Includes validation status and standardized failure reasons. For a successful request, returns `true` in the response.\r\n            <br />***Note:*** Asset scanning is based on **Asset Rules** (*AssetRules* FF) configured by clients within Asset Manager. To check validation rules, run the [GET/assets/{subscriberId}/ValidationRules](https://developer.servicechannel.com/swagger/index.html#/Assets/GETv3_assets_%7BsubscriberId%7D_ValidationRules) method.","operationId":"POSTv3_assets_RecordScannedAsset","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"auditRequest","in":"body","description":"Request body for recording the result of asset tag scanning.","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetTagScanAuditRecord"}}],"responses":{"200":{"description":"The result of asset tag scanning was successfully recorded.","schema":{"default":false,"type":"boolean"}},"400":{"description":"The request was not accepted due to bad syntax, missing parameters, insufficient data, etc.","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"500":{"description":"Something went wrong, and the server was unable to complete your request.\r\n            <br/>Error codes:\r\n            501 &mdash; Recording of asset tag scan for asset ID # failed","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/HasAssetBeenValidated":{"post":{"tags":["Assets"],"summary":"Determines if the specified asset has had its tag validated or not","operationId":"POSTv3_assets_HasAssetBeenValidated","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"auditRequest","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetTagScanAuditRecord"}}],"responses":{"200":{"description":"Request succeeded","schema":{"default":false,"type":"boolean"}},"400":{"description":"Request did NOT succeed and the error information is in the response","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/GetAssetValidationInformation":{"post":{"tags":["Assets"],"summary":"Returns asset tag validation information for the specified list of assets","operationId":"POSTv3_assets_GetAssetValidationInformation","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"auditRequests","in":"body","description":"","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetTagScanAuditRecord"}}}],"responses":{"200":{"description":"Request succeeded","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetTagScanAuditRecord"}}},"400":{"description":"Request did NOT succeed and the error information is in the response","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/current/ValidationRules":{"get":{"tags":["Assets"],"summary":"Gets the asset tag validation settings for the subscriber mapped to the current FTM provider user.","operationId":"GETv3_assets_current_ValidationRules","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"Request succeeded and response contains asset tag validation exception information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.AssetTagging"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"The request is not authorized for a provider user","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Providers"}},"/assets/{subscriberId}/ValidationRules":{"get":{"tags":["Assets"],"summary":"Gets the asset tag validation settings for the specified subscriber.","operationId":"GETv3_assets_{subscriberId}_ValidationRules","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"subscriberId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and response contains asset tag validation exception information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.AssetTagging"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/ValidationRulesByWOId":{"get":{"tags":["Assets"],"summary":"Gets the asset tag validation settings for the specified work order.","operationId":"GETv3_assets_ValidationRulesByWOId?trackingNumber={trackingNumber}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"trackingNumber","in":"query","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and response contains asset tag validation exception information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.AssetTagging"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/UnableToValidateReasons":{"get":{"tags":["Assets"],"summary":"Gets list of unable to validate reasons.","operationId":"GETv3_assets_UnableToValidateReasons","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"Request succeeded and response contains list of unable to validate reasons","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.UnableToValidateReason"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"},"post":{"tags":["Assets"],"summary":"Creates wo_UnableToValidateAssetHistory.","operationId":"POSTv3_assets_UnableToValidateReasons","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UnableToValidateAssetReasonRequest"}}],"responses":{"200":{"description":"Request succeeded","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UnableToValidateAssetReasonRequest"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/UnableToScanReasons":{"get":{"tags":["Assets"],"summary":"Gets list of unable to scan reasons.","operationId":"GETv3_assets_UnableToScanReasons?subscriberId={subscriberId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"subscriberId","in":"query","description":"Subscriber unique indentifier","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and response contains list of unable to scan reasons","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.UnableToScanReason"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"},"post":{"tags":["Assets"],"summary":"Creates wo_UnableToScanAssetHistory.","operationId":"POSTv3_assets_UnableToScanReasons","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UnableToScanAssetReasonRequest"}}],"responses":{"200":{"description":"Request succeeded","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UnableToScanAssetReasonRequest"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/UnableToAddReasons":{"get":{"tags":["Assets"],"summary":"Gets list of unable to add reasons.","operationId":"GETv3_assets_UnableToAddReasons","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"Request succeeded and response contains list of unable to add reasons","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.UnableToAddReason"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"},"post":{"tags":["Assets"],"summary":"Creates wo_UnableToAddAssetHistory.","operationId":"POSTv3_assets_UnableToAddReasons","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"model","in":"body","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UnableToAddAssetReasonRequest"}}],"responses":{"200":{"description":"Request succeeded","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.UnableToAddAssetReasonRequest"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/UnableToScanReasonsNotAttachedAsset":{"get":{"tags":["Assets"],"summary":"Gets list of unable to scan reasons not attached assets.","operationId":"GETv3_assets_UnableToScanReasonsNotAttachedAsset","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"Request succeeded and response contains list of unable to scan reasons not attached assets","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.UnableToScanReasonsNotAttachedAsset"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/UnableToValidateReasonsNotAttachedAsset":{"get":{"tags":["Assets"],"summary":"Gets list of unable to validate reasons not attached assets.","operationId":"GETv3_assets_UnableToValidateReasonsNotAttachedAsset","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"Request succeeded and response contains list of unable to validate reasons not attached assets","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.UnableToValidateReasonsNotAttachedAsset"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/ValidationRulesForMultipleSubscribers":{"post":{"tags":["Assets"],"summary":"Gets the asset tag validation settings for multiple subscribers.","operationId":"POSTv3_assets_ValidationRulesForMultipleSubscribers","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"request","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Core.InternalRequests.Administration.GetAssetTagValidationRequest"}}],"responses":{"200":{"description":"Request succeeded and response contains asset tag validation exception information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Administration.AssetRules.AssetTagging"}},"400":{"description":"Request did NOT succeed and response contains error information","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/GetAssetValidationHistoryByTrackingNumber":{"post":{"tags":["Assets"],"summary":"Returns asset tag validation information for the specified assets and the work order","operationId":"POSTv3_assets_GetAssetValidationHistoryByTrackingNumber","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.Core.InternalRequests.Assets.GetAssetValidationHistoryRequestInternal"}}],"responses":{"200":{"description":"Request succeeded","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetTagScanAuditRecord"}}},"400":{"description":"Request did NOT succeed and the error information is in the response","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/updateAssetLocation":{"put":{"tags":["Assets"],"summary":"Update asset location","description":"Updates asset location","operationId":"PUTv3_assets_updateAssetLocation?assetId={assetId}&locationId={locationId}","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"assetId","in":"query","description":"Asset update id","required":true,"type":"integer","format":"int32"},{"name":"locationId","in":"query","description":"New location id","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Indicates that the request succeeded and that the requested information is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null;\r\n            User info should not be null;\r\n            SubscriberId is null;\r\n            Asset ID is absent;\r\n            502 — No asset or location to update;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/{trackingNumber}/IsValidationRequired":{"get":{"tags":["Assets"],"summary":"Get Scan Method","operationId":"GETv3_assets_{trackingNumber}_IsValidationRequired","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"trackingNumber","in":"path","description":"Tracking Number","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Indicates that the request succeeded and that the requested information is in the response.","schema":{"$ref":"#/definitions/System.Object"}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/getPrimaryAttachmentsForAssetList":{"post":{"tags":["Assets"],"summary":"Get primary attachments for asset list","description":"Adds new asset. Returns list of attachments for successful request.","operationId":"POSTv3_assets_getPrimaryAttachmentsForAssetList","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"listOfAssetIds","in":"body","description":"","required":true,"schema":{"type":"array","items":{"format":"int32","type":"integer"}}}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetPrimaryAttachment"}}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null.\r\n            User info should not be null.\r\n            SubscriberId is null.\r\n            Unknown Asset type;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/getPrimaryAttachmentsForAssetList_v1":{"post":{"tags":["Assets"],"summary":"Get primary attachments for asset list","description":"Adds new asset. Returns list of attachments for successful request.","operationId":"POSTv3_assets_getPrimaryAttachmentsForAssetList_v1","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"assetAttachmentsRequest","in":"body","description":"","required":true,"schema":{"$ref":"#/definitions/ServiceChannel.Services.WebApi.Models.AssetAttachmentsRequest"}}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.Assets.AssetPrimaryAttachment"}}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null.\r\n            User info should not be null.\r\n            SubscriberId is null.\r\n            Unknown Asset type;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/{tradeId}/getAssetTypeGroupsByTradeId":{"get":{"tags":["Assets"],"summary":"Get asset type groups by tradeId","description":"Adds tradeId. Returns list of assetTypeGroup for successful request.","operationId":"GETv3_assets_{tradeId}_getAssetTypeGroupsByTradeId","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"tradeId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Request succeeded and the requested information is in the response.","schema":{"type":"array","items":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.AssetTypes.AssetTypeGroup"}}},"400":{"description":"Bad Request - the request could not be understood or was missing required parameters.\r\n            <br/>Error codes:\r\n            503 — Request Data should not be null.\r\n            User info should not be null.\r\n            SubscriberId is null.\r\n            Unknown Asset type;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}},"401":{"description":"Indicates that the requested resource requires authentication.\r\n            <br/>Error codes:\r\n            504 — API call rejected by security permissions;","schema":{"$ref":"#/definitions/ServiceChannel.Services.Messaging.ErrorResponse"}}},"deprecated":false,"x-access":"Any"}},"/assets/GetAssetTypeGroupsByAssetsIds":{"post":{"tags":["Assets"],"summary":"Get asset type groups by assetsIds","description":"Adds assetsids. Returns list of assetTypeGroup for successful request.","operationId":"POSTv3_assets_GetAssetTypeGroupsByAssetsIds","consumes":["application/json","text/json"],"produces":["application/json
[...]
